﻿using Android.App;
using Android.OS;
using Android.Support.V7.App;
using Android.Runtime;
using Android.Widget;
using Android.Content;
using Com.Syncfusion.Rotator;
using System.Collections.Generic;

namespace Rotator
{
    [Activity(Label = "@string/app_name", Theme = "@style/AppTheme", MainLauncher = true)]
    public class MainActivity : AppCompatActivity
    {
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);
            Context context = this;
            SfRotator rotator = new SfRotator(context);
            List<SfRotatorItem> collection = new List<SfRotatorItem>();
            int[] images = { Resource.Drawable.movie1, Resource.Drawable.movie2, Resource.Drawable.movie3, Resource.Drawable.movie4, Resource.Drawable.movie5 };
            for (int i = 0; i < 5; i++)
            {
                SfRotatorItem sfRotatorItem = new SfRotatorItem(context);
                LinearLayout linearLayout = new LinearLayout(context);
                linearLayout.Orientation = Orientation.Vertical;
                ImageView imageView = new ImageView(context);
                imageView.SetImageResource(images[i]);
                imageView.SetScaleType(ImageView.ScaleType.FitCenter);
                linearLayout.AddView(imageView);
                sfRotatorItem.Content = linearLayout;
                collection.Add(sfRotatorItem);
            }

            rotator.SelectedIndex = 2;       
            rotator.DataSource = collection;
            SetContentView(rotator);
        }
    }
}